## bld-meta 0.7.1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:

clean:

=== debian/changelog ===
bld-meta (0.7.1) wheezy; urgency=medium

  * Demote libpam-fprintd from Depends to Recommends

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 30 Nov 2015 07:18:17 +0100

bld-meta (0.7) stable; urgency=medium

  * Added xul-ext-downthemall, iceowl-extension and calendar-google-provider to
    meta-mozilla-extensions

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 18 Dec 2014 15:52:22 +0100

bld-meta (0.6) unstable; urgency=medium

  * Added tlp to meta-laptop dependencies
  * Simplified debian/rules 

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 25 Aug 2014 22:46:16 +0200

bld-meta (0.5) unstable; urgency=medium

  * Removed laptop-mode-tools from meta-laptop dependencies

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 24 Aug 2014 23:44:14 +0200

bld-meta (0.4) unstable; urgency=medium

  * Removed dependency on xpointing-devices from meta-laptop

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 21 Aug 2014 23:27:06 +0200

bld-meta (0.3) unstable; urgency=medium

  * Updated dependencies with new bld-settings-* packages

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 17 Aug 2014 20:25:24 +0200

bld-meta (0.2) unstable; urgency=medium

  * meta-desktop now depends on meta-pulse
  * Merged some packages:
    - meta-thinkpad-free with meta-thinkpad
    - meta-archivers-free and meta-archivers-nonfree with meta-archivers
    - meta-fonts-free and meta-fonts-nonfree with meta-fonts
    - meta-mozilla-plugins-free with meta-mozilla-plugins
    - meta-pidgin-free with meta-pidgin
    - meta-desktop-free with meta-desktop
    - meta-gnome-free and meta-gnome-pulse with meta-gnome
    - meta-kde-free and meta-kde-pulse with meta-kde
    - meta-mate-free and meta-mate-pulse with meta-mate

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 10 Aug 2014 19:20:07 +0200

bld-meta (0.1) stable; urgency=medium

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 26 Apr 2014 19:29:40 +0200

=== debian/control ===
Source: bld-meta
Section: admin
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4

Package: meta-laptop
Section: utils
Architecture: all
Depends: task-laptop, tlp, rfkill, ${misc:Depends}
Recommends: libpam-fprintd
Description: Laptop metapackage
 This is a metapackage providing an enhanced installation of Debian GNU/Linux
 for laptops.

Package: meta-top
Section: utils
Architecture: all
Depends: iftop, iotop, htop, ${misc:Depends}
Description: Top-like utils metapackage
 This is a metapackage depending on some top-like utilities.

Package: meta-gkrellm
Section: utils
Architecture: all
Depends: gkrellm, hddtemp, bld-settings-gkrellm, ${misc:Depends}
Description: GKrellM metapackage
 This is a metapackage providing an enhanced installation of GKrellM.

Package: meta-mozilla-extensions
Section: net
Architecture: all
Depends: xul-ext-adblock-plus, xul-ext-downthemall, iceowl-extension, calendar-google-provider, ${misc:Depends}
Description: Mozilla extensions metapackage
 This is a metapackage providing some popular extensions for the Mozilla suite.

Package: meta-mozilla-plugin-mplayer
Section: net
Architecture: all
Depends: gecko-mediaplayer, ${misc:Depends}
Conflicts: meta-mozilla-plugin-vlc, meta-mozilla-plugin-totem, browser-plugin-vlc, totem-mozilla
Description: Mozilla multimedia plugin metapackage - MPlayer
 This is a metapackage providing a plugin to play audio and video content in the
 Mozilla suite with MPlayer.

Package: meta-mozilla-plugin-vlc
Section: net
Architecture: all
Depends: browser-plugin-vlc, ${misc:Depends}
Conflicts: meta-mozilla-plugin-mplayer, meta-mozilla-plugin-totem, gecko-mediaplayer, totem-mozilla
Description: Mozilla multimedia plugin metapackage - VLC
 This is a metapackage providing a plugin to play audio and video content in the
 Mozilla suite with VLC.

Package: meta-mozilla-plugin-totem
Section: net
Architecture: all
Depends: totem-mozilla, ${misc:Depends}
Conflicts: meta-mozilla-plugin-mplayer, meta-mozilla-plugin-vlc, gecko-mediaplayer, browser-plugin-vlc
Description: Mozilla multimedia plugin metapackage - Totem
 This is a metapackage providing a plugin to play audio and video content in the
 Mozilla suite with Totem.

Package: meta-mplayer
Section: video
Architecture: all
Depends: mplayer, bld-settings-mplayer, ${misc:Depends}
Description: MPlayer metapackage
 This is a metapackage providing an enhanced installation of MPlayer.

Package: meta-pulse
Section: sound
Architecture: all
Depends: pulseaudio, pulseaudio-module-x11, pulseaudio-module-bluetooth, libasound2-plugins, ${misc:Depends}
Description: PulseAudio metapackage
 This is a metapackage providing an enhanced installation of the PulseAudio
 sound server.

## bld-meta 0.39~deb8u1

=== debian/changelog ===
bld-meta (0.39~deb8u1) jessie; urgency=medium

  * [42d98ba] Remove packages meta-firefox and meta-firefox-french
    (Non-ESR versions of Firefox are only available in unstable)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 02 Oct 2019 13:41:04 +0200

bld-meta (0.39) unstable; urgency=medium

  * [1aa8e13] meta-gnome.postrm: fix package name in dpkg-divert command
  * [e768bb5] Bump Standards-Version to 4.4.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 02 Oct 2019 12:55:54 +0200

bld-meta (0.38) unstable; urgency=medium

  * [69d3889] New packages: meta-firefox, meta-thunderbird
    (with ESR variants for Firefox and French companion packages)
  * [c4c6312] Rename meta-mozilla-plugins to meta-firefox-plugins
  * [1a1aa94] meta-firefox-plugins: replace icedtea-plugin with icedtea-netx

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 22 Jun 2019 14:56:44 +0200

bld-meta (0.37) unstable; urgency=medium

  * [82b9faa] meta-desktop: adjust dependencies
    - Move bld-settings dependencies to their respective metapackages

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 11 Jun 2019 16:54:40 +0200

bld-meta (0.36) unstable; urgency=medium

  * [1040fa3] debian/control: sort entries
  * [cc8accc] Rename meta-pulse to meta-pulseaudio
  * [641771c] New package: meta-standard

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 11 Jun 2019 15:55:41 +0200

bld-meta (0.35) unstable; urgency=medium

  * [eec4a06] meta-desktop, meta-desktop-french: adjust dependencies
    - Sort alphabetically
    - Add bld-settings matching packages
  * [2a6b11a] Bump Standards-Version to 4.3.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 10 Jun 2019 16:49:13 +0200

bld-meta (0.34) unstable; urgency=medium

  * [4875fc0] Promote some Recommends to Depends
    - meta-mozilla: lightning, calendar-google-provider
    - meta-mozilla-french: lightning-l10n-fr
    - meta-libreoffice: libreoffice-help-en-us, mythes-en-us,
      hunspell-en-us, hyphen-en-us
    - meta-libreoffice-french: libreoffice-l10n-fr,
      libreoffice-help-fr, mythes-fr, hunspell-fr, hyphen-fr
  * [240b420] New packages: meta-gimp, meta-gimp-french
  * [f3cf357] meta-gnome: adjust dependencies
    - Replace revert-bell with bld-settings-gnome, and promote to Depends
    - Add dependency on ffmpegthumbnailer
    - Add diversion and symlink to use ffmpegthumbnailer instead of
      totem-video-thumbnailer

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 10 Jun 2019 16:07:19 +0200

bld-meta (0.33) unstable; urgency=medium

  * [25b528d] Remove package meta-mozilla-extensions
  * [db551af] meta-mozilla: recommend lightning/calendar-google-provider

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 22 May 2018 13:03:13 +0200

bld-meta (0.32) unstable; urgency=medium

  * [bf59c12] meta-archivers: remove zoo
  * [df323bf] Bump Standards-Version to 4.1.4

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 13 May 2018 23:11:23 +0200

bld-meta (0.31) unstable; urgency=medium

  * [5a12aed] Overhaul meta-desktop packages
  * [5353a11] Override lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 13 May 2018 23:00:01 +0200

bld-meta (0.30) unstable; urgency=low

  * [db99fe1] Update firefox-l10n-fr dependency to allow firefox-esr-l10n-fr
  * [a575e85] Replace icedove with thunderbird

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 15 Feb 2017 21:51:00 +0100

bld-meta (0.29) unstable; urgency=low

  * [3f97ff9] meta-desktop: use substvars in Depends and Recommends
  * [f89ccda] meta-archivers: remove unrar-free and rar from Depends
    - unrar-free pulls in unar, which in turn pulls in GNUstep
    - rar is currently broken in Debian

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 26 Dec 2016 06:07:12 +0100

bld-meta (0.28) unstable; urgency=medium

  * debian/changelog: fix typo
  * Remove empty debian/gbp.conf
  * New meta-lxqt, meta-lxqt-french packages
  * Update TODO

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 17 Sep 2016 19:05:39 +0200

bld-meta (0.27) unstable; urgency=medium

  * Merge bld-meta-nonfree into bld-meta
  * debian/control: switch Section field to metapackages
  * New meta-lxde, meta-lxde-french packages
  * Bump version to 0.27 to match bld-meta-nonfree

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2016 03:43:16 +0200

bld-meta (0.11) unstable; urgency=medium

  * meta-pulse: remove pulseaudio-module-x11
  * Bump Standards-Version to 3.9.8, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 13 Aug 2016 17:41:07 +0200

bld-meta (0.10) unstable; urgency=medium

  * Remove meta-mozilla-plugin-{mplayer,vlc,totem}
    gecko-mediaplayer and totem-mozilla have disappeared from the Debian
    archive, and most videos on the Web are Flash or HTML5 anyway, so a
    multimedia plugin for web browsers is virtually useless nowadays.
  * Fix typos in changelog
  * Bump Standards-Version to 3.9.7, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 20 Feb 2016 00:35:28 +0100

bld-meta (0.9) unstable; urgency=medium

  * Demote libpam-fprintd from Depends to Recommends

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 30 Nov 2015 07:05:22 +0100

bld-meta (0.8) unstable; urgency=medium

  * Fix typos in debian/changelog
  * Bump Standards-Version to 3.9.6, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 29 Dec 2014 02:22:19 +0100

bld-meta (0.7) unstable; urgency=medium

  * Add xul-ext-downthemall, iceowl-extension and calendar-google-provider to
    meta-mozilla-extensions

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 18 Dec 2014 15:52:22 +0100

bld-meta (0.1) unstable; urgency=medium

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 26 Apr 2014 19:29:40 +0200

=== debian/control ===
Source: bld-meta
Section: metapackages
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.4.1


#
# Console apps
#

Package: meta-kernel-utils
Architecture: all
Depends: sysfsutils, firmware-linux, ${misc:Depends}
Description: Kernel complementary utilities metapackage
 This is a metapackage depending on some useful utilities enhancing the Linux
 kernel.

Package: meta-top
Architecture: all
Depends: iftop, iotop, htop, ${misc:Depends}
Description: Top-like utils metapackage
 This is a metapackage depending on some top-like utilities.

Package: meta-laptop
Architecture: all
Depends: task-laptop, tlp, rfkill, ${misc:Depends}
Recommends: libpam-fprintd
Description: Laptop metapackage
 This is a metapackage providing an enhanced installation of Debian GNU/Linux
 for laptops.

Package: meta-thinkpad
Architecture: all
Depends: meta-laptop, hdapsd, tp-smapi-dkms | acpi-call-dkms, firmware-iwlwifi, ${misc:Depends}
Description: ThinkPad metapackage with non-free software
 This is a metapackage depending on various tools to enable or enhance
 IBM/Lenovo ThinkPad hardware.

Package: meta-archivers
Architecture: all
Depends: arj, cpio, lhasa, lzip, lzma, lzop, mscompress, ncompress, p7zip, p7zip-full, rpm2cpio, rzip, sharutils, unace, unace-nonfree, unalz, unrar, unzip, xz-utils, zip, ${misc:Depends}
Description: Free and non-free archivers metapackage
 This is a metapackage depending on most archivers supported by GUIs like
 file-roller, engrampa or ark.

Package: meta-standard
Architecture: all
Depends: meta-kernel-utils, meta-top, bld-settings-vim, ${misc:Depends}
Description: Common standard metapackage
 This is a metapackage providing an enhanced installation of a standard system.


#
# Desktop apps
#

Package: meta-empathy
Architecture: all
Depends: empathy, ${misc:Depends}
Recommends: empathy-skype
Description: Empathy metapackage with non-free software
 This is a metapackage providing an enhanced installation of the Empathy
 instant messaging program with non-free software.

Package: meta-firefox-esr
Architecture: all
Depends: firefox-esr, bld-settings-firefox-esr, ${misc:Depends}
Recommends: meta-firefox-plugins
Description: Firefox ESR metapackage
 This is a metapackage providing an enhanced installation of Firefox ESR
 (Extended Support Release) with customized settings.

Package: meta-firefox-esr-french
Architecture: all
Depends: firefox-esr-l10n-fr, ${misc:Depends}
Description: Firefox ESR French metapackage
 This is a metapackage providing an enhanced French installation of Firefox ESR
 (Extended Support Release).

Package: meta-firefox-plugins
Architecture: all
Depends: flashplayer-mozilla | flashplugin-nonfree, ${misc:Depends}
Recommends: icedtea-netx
Conflicts: browser-plugin-gnash
Description: Firefox plugins metapackage
 This is a metapackage providing a set of plugins for Firefox.

Package: meta-fonts
Architecture: all
Depends: ${meta-fonts}, ${misc:Depends}
Description: Free and non-free fonts metapackage
 This is a metapackage depending on both free and non-free fonts, namely all
 fonts recommended by all task-*-desktop and libreoffice* packages. It should
 cover almost all user needs for international web browsing.

Package: meta-gimp
Architecture: all
Depends: gimp, gimp-help-en, gimp-data-extras, ${misc:Depends}
Description: GIMP metapackage
 This is a metapackage providing an enhanced installation of the GIMP picture
 editor.

Package: meta-gimp-french
Architecture: all
Depends: gimp-help-fr, ${misc:Depends}
Description: GIMP French metapackage
 This is a metapackage providing an enhanced French installation of the GIMP
 picture editor.

Package: meta-gkrellm
Architecture: all
Depends: gkrellm, hddtemp, bld-settings-gkrellm, ${misc:Depends}
Description: GKrellM metapackage
 This is a metapackage providing an enhanced installation of GKrellM.

Package: meta-gstreamer
Architecture: all
Depends: gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, ${misc:Depends}
Description: GStreamer codecs metapackage
 This is a metapackage depending on all GStreamer codec packages.

Package: meta-libreoffice
Architecture: all
Depends: libreoffice, meta-fonts, libreoffice-help-en-us, mythes-en-us, hunspell-en-us, hyphen-en-us, ${misc:Depends}
Recommends: openclipart-libreoffice
Description: LibreOffice metapackage
 This is a metapackage providing an enhanced installation of the LibreOffice
 office suite core modules (wordprocessor, spreadsheet and presentation).

Package: meta-libreoffice-french
Architecture: all
Depends: libreoffice-l10n-fr, libreoffice-help-fr, mythes-fr, hunspell-fr, hyphen-fr, ${misc:Depends}
Description: LibreOffice French metapackage
 This is a metapackage providing an enhanced French installation of the
 LibreOffice office suite.

Package: meta-mozilla
Architecture: all
Depends: meta-firefox-esr, meta-thunderbird, ${misc:Depends}
Recommends: meta-firefox-plugins
Description: Mozilla metapackage
 This is a metapackage providing an enhanced installation of the Mozilla suite.

Package: meta-mozilla-french
Architecture: all
Depends: meta-firefox-esr-french, meta-thunderbird-french, ${misc:Depends}
Description: Mozilla French metapackage
 This is a metapackage providing an enhanced French installation of the Mozilla
 suite.

Package: meta-mozilla-plugins
Architecture: all
Depends: meta-firefox-plugins, ${misc:Depends}
Description: Transitional dummy package for meta-firefox-plugins
 This is a transitional dummy package to pull meta-firefox-plugins. It can be
 safely removed.

Package: meta-mplayer
Architecture: all
Depends: mplayer, bld-settings-mplayer, ${misc:Depends}
Description: MPlayer metapackage
 This is a metapackage providing an enhanced installation of MPlayer.

Package: meta-multimedia
Architecture: i386 amd64
Depends: w32codecs [i386], w64codecs [amd64], libdvdcss2, ${misc:Depends}
Description: Non-free packages for media players
 This is a metapackage depending on non-free tools used by some media players
 to support proprietary audio and video formats.

Package: meta-pidgin
Architecture: all
Depends: pidgin, ${misc:Depends}
Recommends: pidgin-plugin-pack, pidgin-extprefs, pidgin-nateon, pidgin-sipe, pidgin-skype
Description: Pidgin metapackage with non-free software
 This is a metapackage providing an enhanced installation of the Pidgin
 instant messaging program with non-free software.

Package: meta-pulseaudio
Architecture: all
Depends: pulseaudio, pulseaudio-module-bluetooth, libasound2-plugins, bld-settings-pulseaudio, ${misc:Depends}
Description: PulseAudio metapackage
 This is a metapackage providing an enhanced installation of the PulseAudio
 sound server.

Package: meta-pulse
Architecture: all
Depends: meta-pulseaudio, ${misc:Depends}
Description: Transitional dummy package for meta-pulseaudio
 This is a transitional dummy package to pull meta-pulseaudio. It can be safely
 removed.

Package: meta-thunderbird
Architecture: all
Depends: thunderbird, lightning, calendar-google-provider, ${misc:Depends}
Description: Thunderbird metapackage
 This is a metapackage providing an enhanced installation of Thunderbird.

Package: meta-thunderbird-french
Architecture: all
Depends: thunderbird-l10n-fr, lightning-l10n-fr, hunspell-fr | myspell-fr | myspell-fr-gut, ${misc:Depends}
Description: Thunderbird French metapackage
 This is a metapackage providing an enhanced French installation of Thunderbird.


#
# Desktop environments
#

Package: meta-desktop
Architecture: all
Depends: ${meta-desktop-depends}, bld-settings-xorg, ${misc:Depends}
Recommends: ${meta-desktop-recommends}, task-print-server, meta-gnome | meta-kde | meta-xfce | meta-lxde | meta-mate | meta-cinnamon | meta-lxqt, meta-archivers, meta-firefox-esr, meta-fonts, meta-gimp, meta-gkrellm, meta-gstreamer, meta-libreoffice, meta-mplayer, meta-multimedia, meta-pulseaudio, meta-thunderbird, bld-settings-imagemagick, gnucash
Description: Common desktop metapackage with non-free software
 This is a metapackage providing an enhanced installation of a desktop with
 non-free software.

Package: meta-desktop-french
Architecture: all
Depends: ${misc:Depends}
Recommends: meta-gnome-french | meta-kde-french | meta-xfce-french | meta-lxde-french | meta-mate-french | meta-cinnamon-french | meta-lxqt-french, meta-firefox-esr-french, meta-gimp-french, meta-libreoffice-french, meta-thunderbird-french
Description: Common French desktop metapackage
 This is a metapackage providing an enhanced installation of a desktop with
 French localization.

Package: meta-gnome
Architecture: all
Depends: task-gnome-desktop, bld-settings-gnome, ffmpegthumbnailer, ${misc:Depends}
Description: GNOME metapackage with non-free software
 This is a metapackage providing an enhanced installation of the GNOME desktop
 with non-free software.

Package: meta-gnome-french
Architecture: all
Depends: meta-gnome, ${misc:Depends}
Description: GNOME French metapackage
 This is a metapackage providing an enhanced installation of the GNOME desktop
 with non-free software and French localization.

Package: meta-kde
Architecture: all
Depends: task-kde-desktop, bluedevil, gtk2-engines-oxygen, gtk3-engines-oxygen, ksshaskpass, amarok, ktorrent, mplayerthumbs, plasma-widget-yawp, libreoffice-kde, libreoffice-style-oxygen, plasma-widget-veromix, ${misc:Depends}
Recommends: kde-full, kde-config-flash-player
Description: KDE metapackage with non-free software
 This is a metapackage providing an enhanced installation of the KDE desktop
 with non-free software.

Package: meta-kde-french
Architecture: all
Depends: meta-kde, kde-l10n-fr, ${misc:Depends}
Description: KDE French metapackage
 This is a metapackage providing an enhanced installation of the KDE desktop
 with non-free software and French localization.

Package: meta-xfce
Architecture: all
Depends: task-xfce-desktop, ${misc:Depends}
Description: Xfce metapackage with non-free software
 This is a metapackage providing an enhanced installation of the Xfce desktop
 with non-free software.

Package: meta-xfce-french
Architecture: all
Depends: meta-xfce, ${misc:Depends}
Description: Xfce French metapackage
 This is a metapackage providing an enhanced installation of the Xfce desktop
 with non-free software and French localization.

Package: meta-lxde
Architecture: all
Depends: task-lxde-desktop, bld-settings-x11vnc, blueman, clementine, pk-update-icon, shotwell, simple-scan, xcompmgr, xdg-user-dirs-gtk, ${misc:Depends}
Description: LXDE metapackage with non-free software
 This is a metapackage providing an enhanced installation of the LXDE desktop
 with non-free software.

Package: meta-lxde-french
Architecture: all
Depends: meta-lxde, ${misc:Depends}
Description: LXDE French metapackage
 This is a metapackage providing an enhanced installation of the LXDE desktop
 with non-free software and French localization.

Package: meta-mate
Architecture: all
Depends: task-mate-desktop, gnome-packagekit, blueman, system-config-printer, simple-scan, xdg-user-dirs-gtk, bld-settings-x11vnc, bld-settings-mate, ${misc:Depends}
Recommends: mate-desktop-environment-extras, network-manager-openvpn-gnome, gucharmap, shotwell, clementine, meta-pidgin
Description: MATE metapackage with non-free software
 This is a metapackage providing an enhanced installation of the MATE desktop
 with non-free software.

Package: meta-mate-french
Architecture: all
Depends: meta-mate, ${misc:Depends}
Description: MATE French metapackage
 This is a metapackage providing an enhanced installation of the MATE desktop
 with non-free software and French localization.

Package: meta-cinnamon
Architecture: all
Depends: task-cinnamon-desktop, ${misc:Depends}
Description: Cinnamon metapackage with non-free software
 This is a metapackage providing an enhanced installation of the Cinnamon
 desktop with non-free software.

Package: meta-cinnamon-french
Architecture: all
Depends: meta-cinnamon, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# Substvars
META_FONTS = $(shell apt-cache depends "task-.*-desktop" "libreoffice*" | grep -E '\b(fonts|ttf)' | sed -e "s/^.* //" -e "/^<[^ ]\+>$$/d" | sort -u | xargs | sed -e "s/ /, /g")
META_DESKTOP_DEPENDS = $(shell apt-cache show task-desktop | grep "^Depends:" | sed -e "s/^Depends: //" -e "s/tasksel[^,]*, //")
META_DESKTOP_RECOMMENDS = $(shell apt-cache show task-desktop | grep "^Recommends:" | sed -r -e "s/^Recommends: //" -e "s/task-[[:alnum:]]+-desktop( \| |, )//g")

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Vmeta-fonts="$(META_FONTS)" -Vmeta-desktop-depends="$(META_DESKTOP_DEPENDS)" -Vmeta-desktop-recommends="$(META_DESKTOP_RECOMMENDS)"

## bld-meta 0.40~deb9u1

=== debian/changelog ===
bld-meta (0.40~deb9u1) stretch; urgency=medium

  * [55f09cf] Remove packages meta-firefox and meta-firefox-french
    (Non-ESR versions of Firefox are only available in unstable)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 19 Nov 2019 10:46:07 +0100

bld-meta (0.40) unstable; urgency=medium

  * [9f78bd6] meta-thunderbird: remove dependency on calendar-google-provider
    (not available anymore, removed from Thunderbird source)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 19 Nov 2019 09:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -194,7 +194,7 @@
 
 Package: meta-thunderbird
 Architecture: all
-Depends: thunderbird, lightning, calendar-google-provider, ${misc:Depends}
+Depends: thunderbird, lightning, ${misc:Depends}
 Description: Thunderbird metapackage
  This is a metapackage providing an enhanced installation of Thunderbird.

## bld-meta 0.40~deb10u2

=== debian/changelog ===
bld-meta (0.40~deb10u2) buster; urgency=medium

  * [0010e0a] meta-gkrellm: demote hddtemp to Suggests (deprecated)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 10 Feb 2021 13:44:43 +0100

bld-meta (0.40~deb10u1) buster; urgency=medium

  * [5d152e2] Remove packages meta-firefox and meta-firefox-french
    (Non-ESR versions of Firefox are only available in unstable)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 19 Nov 2019 10:38:28 +0100

=== debian/control ===
--- 
+++ 
@@ -111,7 +111,8 @@
 
 Package: meta-gkrellm
 Architecture: all
-Depends: gkrellm, hddtemp, bld-settings-gkrellm, ${misc:Depends}
+Depends: gkrellm, bld-settings-gkrellm, ${misc:Depends}
+Suggests: hddtemp
 Description: GKrellM metapackage
  This is a metapackage providing an enhanced installation of GKrellM.

## bld-meta 0.49

=== debian/changelog ===
bld-meta (0.49) unstable; urgency=medium

  * [d4f48ef] meta-fonts: fix substvars

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 28 Apr 2023 07:31:30 +0200

bld-meta (0.48) unstable; urgency=medium

  * [eb6bdbb] Remove meta-multimedia
  * [e269478] Remove meta-pulseaudio
  * [eea7b6e] meta-desktop-common: recommend ttf-mscorefonts-installer
  * [e9da8b9] Demote all non-free dependencies to Recommends
  * [e199d2e] Update package descriptions

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 27 Apr 2023 23:25:52 +0200

bld-meta (0.47) unstable; urgency=medium

  * [2cf6d79] meta-firefox-esr: remove Recommends meta-firefox-plugins.
    Forgot to do that in 32855b1
  * [a5ff123] meta-gnome: remove diversions

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 22 Sep 2022 11:43:58 +0200

bld-meta (0.46) unstable; urgency=medium

  * [1e9b792] meta-desktop-common: remove dependency on gnucash
  * [883a8cb] meta-libreoffice: remove dependency on meta-fonts

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 05 Sep 2022 21:25:45 +0200

bld-meta (0.45) unstable; urgency=medium

  * [f59809d] New package: meta-xrdp
  * [e435e96] Desktop packages overhaul
    - Remove most meta-desktop packages
    - Move applications to meta-desktop-common
    - New package: meta-remote-desktop
    - Move meta-gstreamer to meta-gnome
  * [32855b1] Remove packages: meta-firefox-plugins and meta-mozilla-plugins

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 02 Sep 2022 23:08:01 +0200

bld-meta (0.44) unstable; urgency=medium

  * [b8cc98f] meta-desktop: remove task-print-server
  * [aa9ccf9] debian/rules: fix substvars
  * [b41d9db] Bump debhelper compatibility level to 13

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Dec 2021 12:26:10 +0100

bld-meta (0.43) unstable; urgency=medium

  * [a53438c] meta-gkrellm: demote hddtemp to Suggests (deprecated)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 10 Feb 2021 13:34:51 +0100

bld-meta (0.42) unstable; urgency=medium

  * [9af6a42] meta-pulseaudio: remove dependency on b-s-pulseaudio
    (flat volumes are now disabled by default)
  * [a9e337a] Bump Standards-Version to 4.5.1
  * [a1e303a] debian/copyright: update copyrights years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 07 Jan 2021 12:12:01 +0100

bld-meta (0.41) unstable; urgency=medium

  * [ea5a2ce] meta-thunderbird: drop Lightning packages
  * [8cf65b0] Bump debhelper compatibility level to 12
  * [75008a9] Bump Standards-Version to 4.5.0
  * [3670a83] Drop old lintian override "testsuite-autopkgtest-missing"

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 30 Sep 2020 17:07:18 +0200

=== debian/control ===
Source: bld-meta
Section: metapackages
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1


#
# Console apps
#

Package: meta-kernel-utils
Architecture: all
Depends: sysfsutils, ${misc:Depends}
Recommends: firmware-linux
Description: Kernel complementary utilities metapackage
 This is a metapackage depending on some useful utilities enhancing the Linux
 kernel.

Package: meta-top
Architecture: all
Depends: iftop, iotop, htop, ${misc:Depends}
Description: Top-like utils metapackage
 This is a metapackage depending on some top-like utilities.

Package: meta-laptop
Architecture: all
Depends: task-laptop, tlp, rfkill, ${misc:Depends}
Recommends: libpam-fprintd
Description: Laptop metapackage
 This is a metapackage providing an enhanced installation of Debian GNU/Linux
 for laptops.

Package: meta-thinkpad
Architecture: all
Depends: meta-laptop, hdapsd, tp-smapi-dkms | acpi-call-dkms, ${misc:Depends}
Recommends: firmware-iwlwifi
Description: ThinkPad metapackage
 This is a metapackage depending on various tools to enable or enhance
 IBM/Lenovo ThinkPad hardware.

Package: meta-archivers
Architecture: all
Depends: arj, cpio, lhasa, lzip, lzma, lzop, mscompress, ncompress, p7zip, p7zip-full, rpm2cpio, rzip, sharutils, unace, unalz, unzip, xz-utils, zip, ${misc:Depends}
Recommends: unace-nonfree, unrar
Description: Archivers metapackage
 This is a metapackage depending on most archivers supported by GUIs like
 file-roller, engrampa or ark.

Package: meta-xrdp
Architecture: all
Depends: xrdp, xorgxrdp, xterm, bld-settings-xorg, bld-settings-xrdp, ${misc:Depends}
Recommends: pulseaudio-module-xrdp
Description: xrdp metacpakage
 This is a metapackage providing an enhanced installation of xrdp.

Package: meta-standard
Architecture: all
Depends: meta-kernel-utils, meta-top, bld-settings-vim, ${misc:Depends}
Description: Common standard metapackage
 This is a metapackage providing an enhanced installation of a standard system.


#
# Desktop apps
#

Package: meta-empathy
Architecture: all
Depends: empathy, ${misc:Depends}
Recommends: empathy-skype
Description: Empathy metapackage
 This is a metapackage providing an enhanced installation of the Empathy
 instant messaging program.

Package: meta-firefox
Architecture: all
Depends: firefox, bld-settings-firefox, ${misc:Depends}
Description: Firefox metapackage
 This is a metapackage providing an enhanced installation of Firefox with
 customized settings.

Package: meta-firefox-french
Architecture: all
Depends: firefox-l10n-fr, ${misc:Depends}
Description: Firefox French metapackage
 This is a metapackage providing an enhanced French installation of Firefox.

Package: meta-firefox-esr
Architecture: all
Depends: firefox-esr, bld-settings-firefox-esr, ${misc:Depends}
Description: Firefox ESR metapackage
 This is a metapackage providing an enhanced installation of Firefox ESR
 (Extended Support Release) with customized settings.

Package: meta-firefox-esr-french
Architecture: all
Depends: firefox-esr-l10n-fr, ${misc:Depends}
Description: Firefox ESR French metapackage
 This is a metapackage providing an enhanced French installation of Firefox ESR
 (Extended Support Release).

Package: meta-fonts
Architecture: all
Depends: ${meta-fonts}, ${misc:Depends}
Recommends: ttf-mscorefonts-installer
Description: Fonts metapackage
 This is a metapackage depending on all fonts recommended by all task-*-desktop
 and libreoffice* packages. It should cover almost all user needs for
 international web browsing.

Package: meta-gimp
Architecture: all
Depends: gimp, gimp-help-en, gimp-data-extras, ${misc:Depends}
Description: GIMP metapackage
 This is a metapackage providing an enhanced installation of the GIMP picture
 editor.

Package: meta-gimp-french
Architecture: all
Depends: gimp-help-fr, ${misc:Depends}
Description: GIMP French metapackage
 This is a metapackage providing an enhanced French installation of the GIMP
 picture editor.

Package: meta-gkrellm
Architecture: all
Depends: gkrellm, bld-settings-gkrellm, ${misc:Depends}
Suggests: hddtemp
Description: GKrellM metapackage
 This is a metapackage providing an enhanced installation of GKrellM.

Package: meta-gstreamer
Architecture: all
Depends: gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly, ${misc:Depends}
Description: GStreamer codecs metapackage
 This is a metapackage depending on all GStreamer codec packages.

Package: meta-libreoffice
Architecture: all
Depends: libreoffice, libreoffice-help-en-us, mythes-en-us, hunspell-en-us, hyphen-en-us, ${misc:Depends}
Recommends: openclipart-libreoffice
Description: LibreOffice metapackage
 This is a metapackage providing an enhanced installation of the LibreOffice
 office suite core modules (wordprocessor, spreadsheet and presentation).

Package: meta-libreoffice-french
Architecture: all
Depends: libreoffice-l10n-fr, libreoffice-help-fr, mythes-fr, hunspell-fr, hyphen-fr, ${misc:Depends}
Description: LibreOffice French metapackage
 This is a metapackage providing an enhanced French installation of the
 LibreOffice office suite.

Package: meta-mozilla
Architecture: all
Depends: meta-firefox | meta-firefox-esr, meta-thunderbird, ${misc:Depends}
Description: Mozilla metapackage
 This is a metapackage providing an enhanced installation of the Mozilla suite.

Package: meta-mozilla-french
Architecture: all
Depends: meta-firefox-french | meta-firefox-esr-french, meta-thunderbird-french, ${misc:Depends}
Description: Mozilla French metapackage
 This is a metapackage providing an enhanced French installation of the Mozilla
 suite.

Package: meta-mplayer
Architecture: all
Depends: mplayer, bld-settings-mplayer, ${misc:Depends}
Description: MPlayer metapackage
 This is a metapackage providing an enhanced installation of MPlayer.

Package: meta-pidgin
Architecture: all
Depends: pidgin, ${misc:Depends}
Recommends: pidgin-plugin-pack, pidgin-extprefs, pidgin-nateon, pidgin-sipe, pidgin-skype
Description: Pidgin metapackage
 This is a metapackage providing an enhanced installation of the Pidgin
 instant messaging program.

Package: meta-thunderbird
Architecture: all
Depends: thunderbird, ${misc:Depends}
Description: Thunderbird metapackage
 This is a metapackage providing an enhanced installation of Thunderbird.

Package: meta-thunderbird-french
Architecture: all
Depends: thunderbird-l10n-fr, hunspell-fr | myspell-fr | myspell-fr-gut, ${misc:Depends}
Description: Thunderbird French metapackage
 This is a metapackage providing an enhanced French installation of Thunderbird.


#
# Desktop environments
#

Package: meta-desktop
Architecture: all
Depends: ${meta-desktop-depends}, meta-gnome | olde, meta-desktop-common, ${misc:Depends}
Recommends: ${meta-desktop-recommends}
Description: Desktop metapackage
 This is a metapackage providing an enhanced installation of a desktop with
 additional software.

Package: meta-remote-desktop
Architecture: all
Depends: meta-xrdp, olde-core | meta-gnome, meta-desktop-common, ${misc:Depends}
Recommends: olde
Description: Remote desktop metapackage
 This is a metapackage providing an enhanced installation of a remote desktop
 with additional software.

Package: meta-desktop-common
Architecture: all
Depends: meta-firefox | meta-firefox-esr, bld-settings-xorg, bld-settings-imagemagick, fonts-recommended, ${misc:Depends}
Recommends: meta-archivers, meta-gimp, meta-gkrellm, meta-libreoffice, meta-mplayer, meta-thunderbird, ttf-mscorefonts-installer
Description: Desktop metapackage - applications
 This is a metapackage providing an enhanced installation of a desktop with
 additional software.
 .
 This package recommends common desktop applications.

Package: meta-desktop-french
Architecture: all
Depends: meta-firefox-french | meta-firefox-esr-french, ${misc:Depends}
Recommends: meta-gimp-french, meta-libreoffice-french, meta-thunderbird-french
Description: Common French desktop metapackage
 This is a metapackage providing an enhanced installation of a desktop with
 French localization.

Package: meta-gnome
Architecture: all
Depends: task-gnome-desktop, bld-settings-gnome, ffmpegthumbnailer, bld-settings-ffmpegthumbnailer, ${misc:Depends}
Recommends: meta-gstreamer
Description: GNOME metapackage
 This is a metapackage providing an enhanced installation of the GNOME desktop
 with additional software.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# Substvars
META_FONTS = $(shell apt-cache depends "task-.*-desktop" "libreoffice*" | grep -E '\b(fonts|ttf)' | sed -E "s/^.* // ; /^<[^ ]\+>$$/d ; /ttf-mscorefonts-installer/d ; s/$$/,/" | sort -u)
META_DESKTOP_DEPENDS = $(shell apt-cache show task-desktop | grep "^Depends:" | sed -E "s/^Depends: // ; s/tasksel[^,]*, //")
META_DESKTOP_RECOMMENDS = $(shell apt-cache show task-desktop | grep "^Recommends:" | sed -E "s/^Recommends: // ; s/task-[^[:blank:]]+-desktop( \||,) //g")

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Vmeta-fonts="$(META_FONTS)" -Vmeta-desktop-depends="$(META_DESKTOP_DEPENDS)" -Vmeta-desktop-recommends="$(META_DESKTOP_RECOMMENDS)"
